Table of Contents

## Name

glEnableClientState, glDisableClientState - enable or disable client-side

capability

## C Specification

void glEnableClientState( GLenum cap); 1.1 )

## Parameters

1.1
  Specifies the capability to enable. Symbolic constants GL_COLOR_ARRAY, GL_EDGE_FLAG_ARRAY, GL_INDEX_ARRAY, GL_NORMAL_ARRAY, GL_TEXTURE_COORD_ARRAY, and GL_VERTEX_ARRAY are accepted.

## C Specification

void glDisableClientState( GLenum cap); 1.1 )

## Parameters

1.1
  Specifies the capability to disable.

## Description

glEnableClientState and glDisableClientState enable or disable individual client-side capabilities. By default, all client-side capabilities are disabled. Both glEnableClientState and glDisableClientState take a single argument, 1.1, which can assume one of the following values:

GL_COLOR_ARRAY
  If enabled, the color array is enabled for writing and used during rendering when glArrayElement, glDrawArrays, glDrawElement, or glDrawRangeElements is called. See glColorPointer.
GL_EDGE_FLAG_ARRAY
  If enabled, the edge flag array is enabled for writing and used during rendering when glArrayElement, glDrawArrays, glDrawElement, or glDrawRangeElements is called. See glEdgeFlagPointer.
GL_INDEX_ARRAY
  If enabled, the index array is enabled for writing and used during rendering when glArrayElement, glDrawArrays, glDrawElement, or glDrawRangeElements is called. See glIndexPointer.
GL_NORMAL_ARRAY
  If enabled, the normal array is enabled for writing and used during rendering when glArrayElement, glDrawArrays, glDrawElement, or glDrawRangeElements is called. See glNormalPointer.
GL_TEXTURE_COORD_ARRAY
  If enabled, the texture coordinate array is enabled for writing and used during rendering when glArrayElement, glDrawArrays, glDrawElement, or glDrawRangeElements is called. See glTexCoordPointer.
GL_VERTEX_ARRAY
  If enabled, the vertex array is enabled for writing and used during rendering when glArrayElement, glDrawArrays, glDrawElement, or glDrawRangeElements is called. See glVertexPointer.

## Notes

glEnableClientState is available only if the GL version is 1.1 or greater.

If GL_ARB_multitexture is supported, enabling and disabling GL_TEXTURE_COORD_ARRAY affects the active client texture unit. The active client texture unit is controlled with glClientActiveTextureARB.

## Errors

GL_INVALID_ENUM is generated if 1.1 is not an accepted value.

glEnableClientState is not allowed between the execution of glBegin and the corresponding glEnd, but an error may or may not be generated. If no error is generated, the behavior is undefined.

## See Also

glArrayElement(3G) , glClientActiveTextureARB(3G) , glColorPointer(3G) , glDrawArrays(3G) , glDrawElements(3G) , glEdgeFlagPointer(3G) , glEnable(3G) , glGetPointerv(3G) , glIndexPointer(3G) , glInterleavedArrays(3G) , glNormalPointer(3G) , glTexCoordPointer(3G) , glVertexPointer(3G)

Table of Contents

- Name
- C Specification
- Parameters
- C Specification
- Parameters
- Description
- Notes
- Errors
- See Also